# Generated by Django 4.0.4 on 2022-05-10 07:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('category', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='Attribute',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('slug', models.SlugField(max_length=256)),
                ('title', models.CharField(blank=True, max_length=256)),
                ('h1', models.CharField(blank=True, max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('keyword', models.CharField(blank=True, max_length=256)),
            ],
            options={
                'ordering': ['attribute_group', 'sort_order'],
            },
        ),
        migrations.CreateModel(
            name='CategoryAttribute',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True, verbose_name='Content')),
                ('title', models.CharField(blank=True, max_length=256)),
                ('h1', models.CharField(blank=True, max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('keyword', models.CharField(blank=True, max_length=256)),
                ('attribute', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='category_attrs', to='attribute.attribute')),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='category_attrs', to='category.category')),
            ],
        ),
        migrations.CreateModel(
            name='AttributeGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('slug', models.SlugField(max_length=256, unique=True)),
                ('title', models.CharField(blank=True, max_length=256)),
                ('h1', models.CharField(blank=True, max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('keyword', models.CharField(blank=True, max_length=256)),
                ('robots', models.CharField(blank=True, choices=[('index, follow', 'index, follow'), ('index, nofollow', 'index, nofollow'), ('noindex, follow', 'noindex, follow'), ('noindex, nofollow', 'noindex, nofollow')], default='index, follow', max_length=17)),
                ('categories', models.ManyToManyField(blank=True, related_name='attr_groups', related_query_name='attr_group', to='category.category')),
            ],
            options={
                'ordering': ['sort_order'],
            },
        ),
        migrations.AddField(
            model_name='attribute',
            name='attribute_group',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='attrs', related_query_name='attr', to='attribute.attributegroup'),
        ),
        migrations.AlterUniqueTogether(
            name='attribute',
            unique_together={('slug', 'attribute_group')},
        ),
    ]
